import React, { useState } from 'react'

if (typeof require.context === 'undefined') {
  require.context = () => ({
    keys: () => []
  })
}
const svgIconsReq = require.context('!!raw-loader!./assets/svgs', true, /.\.svg$/)
const svgIconTokenFiles = svgIconsReq
  .keys()
  .map((filename) => ({ filename, content: svgIconsReq(filename).default }))

export default {
  title: 'Icons'
}

export const allIcons = () => {
  const [value, setValue] = useState('')
  return <>
    <div style={{ padding: '20px' }}><input type={'search'} placeholder={'search'} value={value}
                                          onChange={(e) => setValue(e.target.value)}/></div>
    <div style={{ display: 'flex', flexWrap: 'wrap', backgroundColor: '#80808085' }}>
      {svgIconTokenFiles
        .filter((icon) => icon?.filename.includes(value))
        .map((icon) => <div key={icon.filename} style={{
          width: '100px',
          padding: '10px',
          display: 'flex',
          justifyContent: 'space-between',
          alignItems: 'center',
          flexDirection: 'column'
        }}>
          <span style={{ width: '40px', height: '40px' }} dangerouslySetInnerHTML={{ __html: icon.content }}/>
          <span
            style={{ fontSize: '12px', textAlign: 'center' }}>{icon.filename.replace('./', '').replace('.svg', '')}</span>
        </div>)}
    </div>
  </>
}
