import React from 'react'
import CheckboxesArray from './index'

export default {
  title: 'Design System/Checkboxes Array',
  component: CheckboxesArray
}

const Template = (args) => <CheckboxesArray {...args} />

const options = [
  { label: 'label1', value: 'value1' },
  { label: 'label2', value: 'value2' },
  { label: 'label3', value: 'value3', disabled: true, disabledTitle: 'This is a disabled option' }
]

export const nonChecked = Template.bind({})

nonChecked.args = {
  onChange: () => {
  },
  options,
  valuesArray: []
}

export const allChecked = Template.bind({})

allChecked.args = {
  onChange: () => {
  },
  options,
  valuesArray: ['value1', 'value2', 'value3']
}

export const withError = Template.bind({})

withError.args = {
  onChange: () => {
  },
  options,
  error: 'At least one checkbox must be checked'
}
