import React from 'react'
import FileUpload from './index'

export default {
  title: 'Design System/File upload',
  component: FileUpload
}

const Template = (args) => <FileUpload {...args} />

export const Regular = Template.bind({})
Regular.args = {
  label: 'Label',
  placeholder: 'placeholder',
  disabled: false,
  onlyIconButton: false
}

export const WithValue = Template.bind({})
WithValue.args = {
  label: 'Label',
  value: `I'm the uploaded file`,
  placeholder: 'placeholder',
  disabled: false,
  onlyIconButton: false
}

export const Error = Template.bind({})
Error.args = {
  label: 'Label',
  placeholder: 'placeholder',
  disabled: false,
  onlyIconButton: false,
  error: 'there is an error'
}

export const Disabled = Template.bind({})
Disabled.args = {
  label: 'Label',
  placeholder: 'placeholder',
  onlyIconButton: false,
  disabled: true,
}

export const OnlyIconDisabled = Template.bind({})
OnlyIconDisabled.args = {
  label: 'Label',
  placeholder: 'placeholder',
  onlyIconButton: true,
  disabled: true,
}

export const OnlyIcon = Template.bind({})
OnlyIcon.args = {
  label: 'Label',
  placeholder: 'placeholder',
  onlyIconButton: true,
  disabled: false,
}
