import ServicePage from './index'
import React from 'react'
import Button from '../Button'
import ExampleIcon from '../../assets/svgs/notification-sucess-icon.svg'
import ExampleIcon2 from '../../assets/svgs/byol.svg'
import exampleImage from '../../assets/images/exampleImage.jpg'

export default {
  title: 'Design System/Service Page',
  component: ServicePage
}

export const bigScreen = (args) => <div style={{ width: 1500, height: 700, overflow: 'hidden' }}><ServicePage {...args} /></div>

bigScreen.args = {
  title: 'Cloud Tiering',
  subtitle: 'Effortless data scaling across the hybrid cloud.',
  description: <div>Cloud Tiering automatically tiers cold data from your high performance on-premise storage, to a
    cost-efficient object storage of your preferred choice. Gain full visibility and control across all your hybrid
    cloud storage clusters from a single endpoint, NetApp Cloud Manager. Almost there! To start your tiering experience,
    please deploy our connector for a secure management of resources and processes in your hybrid cloud
    environment</div>,
  action: <Button>Add Connector</Button>,
  image: <img src={exampleImage} width={'570px'} height={'320px'}/>,
  benefits: [{
    icon: <ExampleIcon/>,
    title: 'Zero-effort1',
    description: 'Data center extension to the cloud'
  },
  {
    icon: <ExampleIcon2/>,
    title: 'Zero-effort2',
    description: 'Data center extension to the cloud'
  },
  {
    icon: <ExampleIcon/>,
    title: 'Zero-effort3',
    description: 'Data center extension to the cloud'
  },
  {
    icon: <ExampleIcon2/>,
    title: 'Zero-effort4',
    description: 'Data center extension to the cloud'
  }]
}

export const smallScreen = (args) => <div style={{ width: 1200, height: 600, overflow: 'hidden' }}><ServicePage {...args} /></div>

smallScreen.args = {
  title: 'Cloud Tiering',
  subtitle: 'Effortless data scaling across the hybrid cloud.',
  description: <div>Cloud Tiering automatically tiers cold data from your high performance on-premise storage, to a
    cost-efficient object storage of your preferred choice. Gain full visibility and control across all your hybrid
    cloud storage clusters from a single endpoint, NetApp Cloud Manager. Almost there! To start your tiering experience,
    please deploy our connector for a secure management of resources and processes in your hybrid cloud
    environment</div>,
  action: <Button>Add Connector</Button>,
  image: <img src={exampleImage} width={'570px'} height={'320px'}/>,
  benefits: [{
    icon: <ExampleIcon/>,
    title: 'Zero-effort1',
    description: 'Data center extension to the cloud'
  },
  {
    icon: <ExampleIcon2/>,
    title: 'Zero-effort2',
    description: 'Data center extension to the cloud'
  },
  {
    icon: <ExampleIcon/>,
    title: 'Zero-effort3',
    description: 'Data center extension to the cloud'
  },
  {
    icon: <ExampleIcon2/>,
    title: 'Zero-effort4',
    description: 'Data center extension to the cloud'
  }]
}
